<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [KarmaRequirement](./bitburner.karmarequirement.md)

## KarmaRequirement interface

Player must have less than this much karma.

**Signature:**

```typescript
interface KarmaRequirement 
```

## Properties

<table><thead><tr><th>

Property


</th><th>

Modifiers


</th><th>

Type


</th><th>

Description


</th></tr></thead>
<tbody><tr><td>

[karma](./bitburner.karmarequirement.karma.md)


</td><td>


</td><td>

number


</td><td>


</td></tr>
<tr><td>

[type](./bitburner.karmarequirement.type.md)


</td><td>


</td><td>

"karma"


</td><td>


</td></tr>
</tbody></table>

